> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/blockchains-&-assets/list-assets",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List assets

> Retrieves a paginated list of all assets supported by Fireblocks in your workspace

**Note:** We will continue to support and display the legacy ID (API ID). Since not all Fireblocks services fully support the new Assets UUID, please use only the legacy ID until further notice.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /assets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /assets:
    get:
      tags:
        - Blockchains & assets
      summary: List assets
      description: >
        Retrieves a paginated list of all assets supported by Fireblocks in your
        workspace


        **Note:** We will continue to support and display the legacy ID (API
        ID). Since not all Fireblocks services fully support the new Assets
        UUID, please use only the legacy ID until further notice.
      operationId: listAssets
      parameters:
        - name: blockchainId
          required: false
          in: query
          description: Blockchain id of the assets
          schema:
            type: string
          example: 0f672204-a28b-464a-b318-a387abd3d3c7
        - name: assetClass
          required: false
          in: query
          description: Assets class
          schema:
            $ref: '#/components/schemas/AssetClass'
        - name: symbol
          required: false
          in: query
          description: Assets onchain symbol
          schema:
            type: string
            minLength: 1
          example: ETH
        - name: scope
          required: false
          in: query
          description: Scope of the assets
          schema:
            $ref: '#/components/schemas/AssetScope'
        - name: deprecated
          required: false
          in: query
          description: Are assets deprecated
          schema:
            type: boolean
          example: false
        - name: ids
          required: false
          in: query
          description: A list of asset IDs (max 100)
          schema:
            type: array
            items:
              type: string
          example:
            - 3ed32525-70df-45c8-bae3-e69ab56dc095
            - 3a3b5f06-61e7-44f0-9962-4425b55795ff
            - SHANI5_B75VRLGX_MUPA
        - in: query
          name: pageCursor
          required: false
          description: Next page cursor to fetch
          example: MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Items per page
          schema:
            minimum: 100
            maximum: 1000
            default: 500
            type: number
          example: 500
        - $ref: '#/components/parameters/X-Idempotency-Key'
      responses:
        '200':
          description: List of assets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAssetsResponse'
        '500':
          description: Error occurred while listing assets
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetInternalServerErrorResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ListAssetsResponse>> =
            fireblocks.blockchainsAssets.listAssets(blockchainsAssetsApiListAssetsRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ListAssetsResponse>> response =
            fireblocks.blockchainsAssets().listAssets(blockchainId, assetClass,
            symbol, scope, deprecated, ids, pageCursor, pageSize,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.blockchains_&_assets.list_assets(blockchain_id,
            asset_class, symbol, scope, deprecated, ids, page_cursor, page_size,
            idempotency_key);
components:
  schemas:
    AssetClass:
      type: string
      example: FT
      enum:
        - NATIVE
        - FT
        - FIAT
        - NFT
        - SFT
        - VIRTUAL
    AssetScope:
      type: string
      description: The scope of the asset
      example: GLOBAL
      enum:
        - GLOBAL
        - LOCAL
    ListAssetsResponse:
      type: object
      properties:
        data:
          type: array
          description: The data of the current page
          items:
            $ref: '#/components/schemas/Asset'
        next:
          type: string
          description: Cursor to the next page
          example: eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9
          nullable: true
      required:
        - data
        - next
    AssetInternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Internal server error code
          example: Internal server error
        code:
          type: number
          description: Error code
          example: 3005
      required:
        - message
        - code
    Asset:
      type: object
      properties:
        id:
          type: string
          description: The ID of the asset
          example: 9f9f7062-df90-4fc0-8697-96685184358d
        legacyId:
          type: string
          description: The Legacy ID of the asset
          example: USDT_ERC20
        blockchainId:
          type: string
          description: The ID of the asset's blockchain
          example: e85208ff-3b15-44e9-af14-0ed0280b2a15
        displayName:
          type: string
          description: Asset's display name
          example: Tether USD
        displaySymbol:
          type: string
          description: Asset's display symbol
          example: USDT
        providerId:
          type: string
          description: The ID of the asset provider
          example: SOME_PROVIDER_ID
        peggedAssetId:
          type: string
          description: The ID of the pegged asset
          example: 6ef19b84-2144-4d38-8056-d423199bce5e
        assets:
          type: array
          description: List of asset IDs for virtual assets
          items:
            type: string
            description: The ID of the asset
            example: 6ef19b84-2144-4d38-8056-d423199bce5e
        assetClass:
          $ref: '#/components/schemas/AssetClass'
        decimals:
          type: number
          description: Number of decimals for FIAT assets
          example: 2
        onchain:
          $ref: '#/components/schemas/AssetDetailsOnchain'
        metadata:
          $ref: '#/components/schemas/AssetDetailsMetadata'
      required:
        - id
        - legacyId
        - assetClass
        - displayName
        - displaySymbol
        - metadata
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    AssetDetailsOnchain:
      type: object
      properties:
        symbol:
          type: string
          description: The asset symbol
          example: USDT
        name:
          type: string
          description: The asset name
          example: Tether USD
        address:
          type: string
          description: The asset address
          example: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
        decimals:
          type: number
          description: Number of decimals
          example: 6
        standards:
          description: Supported standards
          type: array
          items:
            type: string
          example:
            - ERC20
      required:
        - symbol
        - name
        - decimals
    AssetDetailsMetadata:
      type: object
      properties:
        scope:
          $ref: '#/components/schemas/AssetScope'
        verified:
          type: boolean
          description: Is asset verified by Fireblocks
          example: false
        deprecated:
          type: boolean
          description: Is asset deprecated
          example: false
        deprecationReferralId:
          type: string
          description: New asset ID replacement
          example: 056776ab-9efa-4219-9820-9ece0cc4d90d
        website:
          type: string
          description: Vendor’s website
          example: https://example.org
        media:
          description: Asset’s media
          type: array
          items:
            $ref: '#/components/schemas/AssetMedia'
        note:
          $ref: '#/components/schemas/AssetNote'
        features:
          description: Asset features
          type: array
          items:
            $ref: '#/components/schemas/AssetFeature'
      required:
        - scope
        - verified
        - deprecated
    AssetMedia:
      type: object
      properties:
        url:
          type: string
          description: Media URL
          example: https://example.com/image.png
        type:
          type: string
          description: Media type
          example: image/svg+xml
          enum:
            - image/svg+xml
            - image/png
        attributes:
          description: Media attributes
          type: object
          properties:
            monochrome:
              type: boolean
              description: Monochrome flag
              example: true
      required:
        - url
        - type
    AssetNote:
      type: object
      properties:
        text:
          type: string
          description: Note content
          example: Pay attention to gas fees
        userId:
          type: string
          format: uuid
          description: Who updated the note (uuid)
          example: 056776ab-9efa-4219-9820-9ece0cc4d90d
        userName:
          type: string
          description: User name
          example: Test test
        updatedAt:
          type: string
          format: date-time
          description: ISO Timestamp when last updated
          example: '2025-06-08T19:42:49.000Z'
      required:
        - text
        - userId
        - userName
        - updatedAt
    AssetFeature:
      type: string
      description: Asset feature
      example: STABLECOIN
      enum:
        - STABLECOIN
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````